Subject: Re: [bug#75394] [PATCH v14 0/2] Add jpm.

From: Suhail Singh <[email-masked]>
Date: Wed, 08 Jan 2025 10:30:42 -0500

Omar Bassam <[email-masked]> writes:

> Yes, Thanks Suhail, your reviews helped me alot.

You're welcome :)

> I would like to contribute more to guix and would like to take building
> a janet-build-system as a start. I would appreciate any guidance or
> recommendations on where to start to learn about building a custom build
> system.

I don't have any specific guidance other than to look at existing build
system definitions.  Perhaps jgart has some thoughts?

>>> In that case, then you can document any special instructions for using
>>> Guix with janet.
>>
>> I do agree that that would be helpful.
>>
>
> I am not sure where should such document be added?

I am no authority, but perhaps the Cookbook?  Jgart, thoughts?

-- 
Suhail